
header{
    width: 100%;
    height: var(--header-height);
    position: fixed;
    top: 0;
    margin: 0 auto;
    padding: 1em var(--container-padding-lr);
    
    z-index: 10;
    transition: top 0.25s ease-in-out;
    background-color: var(--black);
}

.logo{
    height: 6vh;
}
@media screen and (max-width:768px) {
    .logo{
        height: 4vh;
    }
}

.navigation{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.burger-nav{
    display: none;
    z-index: 10;
    position: relative;
}

.cross{
    position: absolute;
    top: 1em;
    left: var(--container-padding-lr);

    visibility: hidden;
    pointer-events: none;
}

.title-link{
    border: 1px solid var(--white);
    font-size: 0.75rem;
    padding: 0.75%;
}

.nav-links,
.title-link{
    text-shadow: 0px 0px 5px #000000;
}

.nav-links:hover,
.title-link:hover{
    color: var(--accent);
    text-decoration: none;
}

.nav-links + .nav-links{
    margin-left: 4em;
}

.nav-links.active{
    color: var(--accent);
    border-bottom: 2px solid var(--accent);
}

@media (max-width:768px) {
    *{
        --container-padding-lr:2em
    }
    .nav-links + .nav-links{
        margin-left: 2em;
    }
}

@media (max-width:645px) {
    .burger-nav{
        display:inline;
        transform: scale(1.5);
        cursor: pointer;
    }
    .navigation.open .bars{
        visibility: hidden;
        pointer-events: none;
    }
    .navigation.open .cross{
        visibility: visible;
        pointer-events: all;
    }
    .navigation .nav-links-container{
        position: fixed;
        top: 0;
        left: 100%;

        background-color: var(--black);
        width: 100%;
        height: 100vh;

        padding: 1em;

        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        transition: all 1s ease;
    }
    .navigation.open .nav-links-container{
        left: 0;
    }
    .nav-links + .nav-links{
        margin-left: 0em;
        margin-top: 2em;
    }
}